*** KernelEx 4.5.2016.18 ***

[ApiConfigurations]
default=0
0=BASE
1=NOHEAP
2=WIN95
3=WIN98
4=WINME
5=NT40
6=NT2K
7=NT2Kstd
8=WINXP
9=WIN2K3
10=VISTA
11=WIN2K8
12=WIN7
13=WIN8
14=WIN81
15=WIN10
16=DCFG1


[DCFG1]
inherit=BASE
desc=Alias for Base enhancements (obsolete)


[BASE]
contents=std,kexbasen,kexbases
desc=Base enhancements (api fixes + extensions)

[BASE.names.98]
KERNEL32.GetVersion=std
GDI32.GetCharABCWidthsI=none
GDI32.GetRandomRgn=std
GDI32.GetTextMetricsA=std
GDI32.GetWorldTransform=std
GDI32.ModifyWorldTransform=std
GDI32.SetGraphicsMode=std
GDI32.SetMapMode=std
GDI32.SetWorldTransform=kexbases.0
KERNEL32.FlsAlloc=none
KERNEL32.VerSetConditionMask=none
KERNEL32.VerifyVersionInfoA=none
KERNEL32.VerifyVersionInfoW=none
KERNEL32.CreateIoCompletionPort=std
SHELL32.SHParseDisplayName=none

[BASE.names.Me]
KERNEL32.GetVersion=std
GDI32.GetCharABCWidthsI=none
GDI32.GetRandomRgn=std
GDI32.GetTextMetricsA=std
GDI32.GetWorldTransform=std
GDI32.ModifyWorldTransform=std
GDI32.SetGraphicsMode=std
GDI32.SetMapMode=std
GDI32.SetWorldTransform=kexbases.0
KERNEL32.FlsAlloc=none
KERNEL32.VerSetConditionMask=none
KERNEL32.VerifyVersionInfoA=none
KERNEL32.VerifyVersionInfoW=none
KERNEL32.CreateIoCompletionPort=std
SHELL32.SHParseDisplayName=none
USER32.AllowSetForegroundWindow=std
USER32.LockSetForegroundWindow=std
USER32.GetMouseMovePointsEx=std


[NOHEAP]
inherit=BASE
desc=Base enhancements (disable custom heap)

[NOHEAP.names]
KERNEL32.HeapCreate=std
KERNEL32.HeapDestroy=std
KERNEL32.HeapAlloc=std
KERNEL32.HeapFree=std
KERNEL32.HeapSize=std
KERNEL32.HeapReAlloc=std


[WIN95]
inherit=BASE
desc=Windows 95

[WIN95.names]
KERNEL32.GetVersion=kexbases.0
KERNEL32.GetVersionExA=kexbases.1
KERNEL32.GetVersionExW=kexbases.1


[WIN98]
inherit=WIN95
desc=Windows 98 SE

[WIN98.names]
KERNEL32.GetVersion=kexbases.1
KERNEL32.GetVersionExA=kexbases.2
KERNEL32.GetVersionExW=kexbases.2


[WINME]
inherit=WIN98
desc=Windows Millennium

[WINME.names]
KERNEL32.GetVersion=kexbases.2
KERNEL32.GetVersionExA=kexbases.3
KERNEL32.GetVersionExW=kexbases.3


[NT40]
inherit=BASE
desc=Windows NT 4.0 SP6

[NT40.names]
KERNEL32.GetVersion=kexbases.3
KERNEL32.GetVersionExA=kexbases.4
KERNEL32.GetVersionExW=kexbases.4
KERNEL32.CreateIoCompletionPort=kexbases.0
GDI32.GetRandomRgn=kexbases.0
GDI32.GetTextMetricsA=kexbases.0
GDI32.GetWorldTransform=kexbases.0
GDI32.ModifyWorldTransform=kexbases.0
GDI32.SetGraphicsMode=kexbases.0
GDI32.SetMapMode=kexbases.0
GDI32.SetWorldTransform=kexbases.1


[NT2K]
inherit=NT40
desc=Windows 2000 SP4

[NT2K.names]
KERNEL32.GetVersion=kexbases.4
KERNEL32.GetVersionExA=kexbases.5
KERNEL32.GetVersionExW=kexbases.5
KERNEL32.VerSetConditionMask=kexbases.0
KERNEL32.VerifyVersionInfoA=kexbases.0
KERNEL32.VerifyVersionInfoW=kexbases.0
GDI32.GetCharABCWidthsI=kexbasen.0


[NT2Kstd]
inherit=NT2K
desc=Windows 2000 SP4 (standard heap)

[NT2Kstd.names]
KERNEL32.HeapAlloc=std
KERNEL32.HeapCreate=std
KERNEL32.HeapDestroy=std
KERNEL32.HeapFree=std
KERNEL32.HeapReAlloc=std
KERNEL32.HeapSize=std


[WINXP]
inherit=NT2K
desc=Windows XP SP2

[WINXP.names]
KERNEL32.GetVersion=kexbases.5
KERNEL32.GetVersionExA=kexbases.6
KERNEL32.GetVersionExW=kexbases.6
KERNEL32.VerifyVersionInfoA=kexbases.1
KERNEL32.VerifyVersionInfoW=kexbases.1
SHELL32.SHParseDisplayName=kexbasen.0


[WIN2K3]
inherit=WINXP
desc=Windows 2003 SP1

[WIN2K3.names]
KERNEL32.FlsAlloc=kexbases.0
KERNEL32.GetVersion=kexbases.6
KERNEL32.GetVersionExA=kexbases.7
KERNEL32.GetVersionExW=kexbases.7
KERNEL32.VerifyVersionInfoA=kexbases.2
KERNEL32.VerifyVersionInfoW=kexbases.2


[VISTA]
inherit=WIN2K3
desc=Windows Vista

[VISTA.names]
KERNEL32.GetVersion=kexbases.7
KERNEL32.GetVersionExA=kexbases.8
KERNEL32.GetVersionExW=kexbases.8
KERNEL32.VerifyVersionInfoA=kexbases.3
KERNEL32.VerifyVersionInfoW=kexbases.3


[WIN2K8]
inherit=VISTA
desc=Windows 2008 SP1

[WIN2K8.names]
KERNEL32.GetVersion=kexbases.8
KERNEL32.GetVersionExA=kexbases.9
KERNEL32.GetVersionExW=kexbases.9
KERNEL32.VerifyVersionInfoA=kexbases.4
KERNEL32.VerifyVersionInfoW=kexbases.4


[WIN7]
inherit=WIN2K8
desc=Windows 7 (tbd)

[WIN7.names]
KERNEL32.GetVersion=kexbases.8
KERNEL32.GetVersionExA=kexbases.9
KERNEL32.GetVersionExW=kexbases.9
KERNEL32.VerifyVersionInfoA=kexbases.4
KERNEL32.VerifyVersionInfoW=kexbases.4


[WIN8]
inherit=WIN7
desc=Windows 8 (tbd)

[WIN8.names]
KERNEL32.GetVersion=kexbases.8
KERNEL32.GetVersionExA=kexbases.9
KERNEL32.GetVersionExW=kexbases.9
KERNEL32.VerifyVersionInfoA=kexbases.4
KERNEL32.VerifyVersionInfoW=kexbases.4


[WIN81]
inherit=WIN8
desc=Windows 8.1 (tbd)

[WIN81.names]
KERNEL32.GetVersion=kexbases.8
KERNEL32.GetVersionExA=kexbases.9
KERNEL32.GetVersionExW=kexbases.9
KERNEL32.VerifyVersionInfoA=kexbases.4
KERNEL32.VerifyVersionInfoW=kexbases.4


[WIN10]
inherit=WIN81
desc=Windows 10 (tbd)

[WIN10.names]
KERNEL32.GetVersion=kexbases.8
KERNEL32.GetVersionExA=kexbases.9
KERNEL32.GetVersionExW=kexbases.9
KERNEL32.VerifyVersionInfoA=kexbases.4
KERNEL32.VerifyVersionInfoW=kexbases.4

